package scripts;

import jinro.*;
import org.eclipse.swt.custom.*;
import org.eclipse.swt.dnd.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.graphics.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.*;

class Initialize {
	def static strings = JinroLocalization.getBundle("JinroInterface.properties").attachBundle("Initialize.properties");
	def init() {
		def items = JinroInterface.userlist.menu.items;
		def pos = (0..<items.size()).find { items[it].text == JinroInterface.getTextWithMnemonic("context.random") };
		def notice = setMenuText(new MenuItem(JinroInterface.userlist.menu, SWT.PUSH, pos + 1), "context.notice");
		notice.addSelectionListener([
			widgetSelected: {
				JinroGame.getProperty("GUI").NoticeDialog.newInstance();
			}
		] as SelectionListener);
	}
	def setMenuText(item, prop) {
		def text = new StringBuilder(strings.getString(prop));
		int index = text.size() + 1;
		while(index && (index = text.lastIndexOf("&", index - 1)) >= 0) {
			text.replace(index, index, "&");
		}
		def mnemonic = strings.getString(prop + ".key");
		if(mnemonic.size() == 1 && mnemonic != "&") {
			index = text.indexOf(mnemonic);
			if(index < 0) {
				index = text.indexOf(mnemonic.toLowerCase());
				if(index < 0) {
					index = text.indexOf(mnemonic.toUpperCase());
				}
			}
			if(index >= 0) {
				text.replace(index, index, "&");
			} else {
				text << "(&" << mnemonic << ")";
			}
		}
		item.text = text;
		return item;
	}
}