package scripts.roles;

import scripts.*;
import jinro.*;

// Role: Sharer
// Camp: Civilians

class Sharer extends Civilian {
	def static order = 6;
	def static strings = Civilian.strings.attachBundle("roles/Sharer.properties");
	def static number = 0;		// All roles must define own "number" property.
	def static bite = false;	// All roles must define own "bite" property.
	// Returns the proper number.
	def static getJustnumber(number) {
		if(number > 12) {
			return 2;
		} else {
			return 0;
		}
	}
	Sharer(actor = null) {
		super(actor);
	}
	def getPriority() {
		return 35;
	}
	def getRoleName() {
		return strings.getString("sharer");
	}
	// Notifies the actor of the role.
	def noticeRole() {
		super.noticeRole();
		def actors = JinroGame.getActors();
		actors.findAll{ it.name != name && it.roleIs(this) }.each {
			notice(strings.getString("notice.partner", it.name));
		};
	}
}
